"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForbiddenException = exports.UnhandledException = exports.UnauthorizedException = exports.NotFoundException = exports.BusinessRuleException = exports.BadRequestException = exports.BaseError = void 0;
class BaseError extends Error {
    constructor(code, message, type) {
        super(message);
        this.code = code;
        this.msg = message;
        this.type = type;
        Object.setPrototypeOf(this, BaseError.prototype);
    }
}
exports.BaseError = BaseError;
class BadRequestException extends Error {
    constructor(message) {
        super(message);
        this.name = "BadRequestException";
    }
}
exports.BadRequestException = BadRequestException;
class BusinessRuleException extends Error {
    constructor(message) {
        super(message);
        this.name = "BusinessRuleException";
    }
}
exports.BusinessRuleException = BusinessRuleException;
class NotFoundException extends Error {
    constructor(message) {
        super(message);
        this.name = "NotFoundException";
    }
}
exports.NotFoundException = NotFoundException;
class UnauthorizedException extends Error {
    constructor(message) {
        super(message);
        this.name = "UnauthorizedException";
    }
}
exports.UnauthorizedException = UnauthorizedException;
class UnhandledException extends Error {
    constructor(message) {
        super(message);
        this.name = "UnhandledException";
    }
}
exports.UnhandledException = UnhandledException;
class ForbiddenException extends Error {
    constructor(message) {
        super(message);
        this.name = "ForbiddenException";
    }
}
exports.ForbiddenException = ForbiddenException;
