"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notFoundResponse = exports.asyncWrap = void 0;
const language_helper_1 = require("./language.helper");
const asyncWrap = (requestHandler) => {
    return (req, res, next) => {
        Promise.resolve(requestHandler(req, res, next)).catch((error) => {
            next(error);
        });
    };
};
exports.asyncWrap = asyncWrap;
const notFoundResponse = () => {
    const res = {
        success: false,
        message: (0, language_helper_1.getResponseMessage)("NOT_FOUND", "ROUTE"),
    };
    return res;
};
exports.notFoundResponse = notFoundResponse;
