"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.envHelper = void 0;
const path_1 = __importDefault(require("path"));
const dotenv_1 = __importDefault(require("dotenv"));
class EnvHelper {
    constructor() {
        // Determina quale file .env caricare
        const env = process.env.NODE_ENV || "development";
        const envFile = `.env.${env}`;
        console.log(path_1.default.resolve(envFile));
        // Carica le variabili d'ambiente dal file .env corretto
        dotenv_1.default.config({ path: path_1.default.resolve(envFile) });
    }
    GetSequelizeOption() {
        return {
            database: process.env.DB_DATABASE,
            username: process.env.DB_USERNAME,
            password: process.env.DB_PASSWORD,
            host: process.env.DB_HOST,
            port: parseInt(process.env.DB_PORT ?? "5433"),
            dialect: process.env.DB_DIALECT,
            logging: process.env.DB_LOGGING == "true",
        };
    }
}
exports.envHelper = new EnvHelper();
